{{page-title @model.page.name " | " (capitalize (t "edit"))}}

{{#if this.fastboot.isFastBoot}}
  <LoadingContainer />
{{else}}
  <div class="d-flex min-h-100">
    <Manage::SideBar class="order-last flex-shrink-1">
      <Manage::Visibility
        @model={{this.editableModel}}
        @teams={{@model.teams}}
        @hasIsDefault={{false}}
        @editablePanel={{this.editableField}}
        @savingPanel={{this.savingField}}
        @isAdmin={{this.user.isAdmin}}
        @areAllShowing={{this.allTeams}}
        @onChangeAll={{this.changeAll}}
        @saveIsPublic={{this.saveIsPublic}}
        @saveIsDefault={{this.saveIsDefault}}
        @saveTeam={{this.saveTeam}}
        @onEdit={{this.edit}}
        @onCancel={{this.cancel}}
      />

      <Manage::ModelInfo @editablePanel={{this.editableField}} @savingPanel={{this.savingField}} @model={{@model.page}} @disabled={{this.disabled}} @onSave={{this.save}} @onCancel={{this.cancel}} @onEdit={{this.edit}} />
    </Manage::SideBar>

    <Manage::Container @title={{capitalize (t "edit page")}}>
      <:content>
        <Manage::Row @name="name">
          <Manage::Text
            @title={{capitalize (t "name")}}
            @isMainValue={{true}}
            @value={{@model.page.name}}
            placeholder={{capitalize (t "what is the page name?")}}
            @emptyError={{capitalize (t "this page has no name")}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{fn this.saveField "name"}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
          />
        </Manage::Row>

        <Manage::Row @name="slug">
          <Manage::Text
            @title={{capitalize (t "slug")}}
            @isMainValue={{true}}
            @value={{@model.page.slug}}
            placeholder={{capitalize (t "what is the page slug?")}}
            @emptyError={{capitalize (t "this page has no slug")}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{fn this.saveField "slug"}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
          />
        </Manage::Row>
      </:content>
    </Manage::Container>
  </div>
{{/if}}